## org.mortbay.servlet
Class Debug

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.mortbay.servlet.Debug

All Implemented Interfaces:
  java.io.Serializable, Servlet, ServletConfig

public class Debug
extends HttpServlet

See Also:
  Serialized Form

Constructor Summary
`Debug()`

Method Summary
`void` `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` `doPost(HttpServletRequest request, HttpServletResponse response)`
`java.lang.String` `getServletInfo()` Returns information about the servlet, such as author, version, and copyright.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Debug

    public Debug()

Method Detail

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       java.io.IOException

  Overrides:
    `doPost` in class `HttpServlet`
    `ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Description copied from class: `GenericServlet`
  Returns information about the servlet, such as author, version, and copyright. By default, this method returns an empty string. Override this method to have it return a meaningful value. See `Servlet.getServletInfo()`.

  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `GenericServlet`
  Returns:
    String information about this servlet, by default an empty string

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.